Subject: RE: Multiple bridge mib's

From: Andrew Smith <[email-masked]>
Date: Mon, 14 Dec 1998 10:54:53 -0800

Dude,

In the Bridge MIB WG we discussed this issue. We decided against supporting
multiple spanning-tree tables for now (in
draft-ietf-bridge-bridgemib-03.txt) since IEEE 802.1 has not yet decided how
to model this - work is ongoing there (IEEE 802.1s) and I would assume we
would write a new MIB to support it when they decide things like how this
should be indexed and how VLANs are to be related to spanning-trees etc.

Meanwhile, I believe different vendors who are already supporting multiple
spanning-trees are modeling this in different ways in the MIB - unfortunate
but it's best not to try to prejudge the IEEE 802.1s standard.

Bridge MIB WG did decide to model multiple logical bridges (i.e. forwarding
databases) a la 802.1Q VLANs in this new Bridge MIB and those are indexed by
a new "VLAN ID" variable, rather than trying to use views or community
strings.

Andrew

****************************************************************
Andrew Smith                              tel: +1 (408) 863-2821
Extreme Networks                          fax: +1 (408) 342-0990
10460 Bandley Drive               http://www.extremenetworks.com
Cupertino CA 95014               em:  [email-masked]
****************************************************************

> -----Original Message-----
> From: Kevin Lingle [mailto:[email-masked]]
> Sent: Friday, December 11, 1998 12:19 PM
> To: Mib Dude
> Cc: [email-masked]
> Subject: Re: Multiple bridge mib's
> 
> 
> Mib Dude wrote:
> > 
> > Hi,
> > I am implementing an agent for a system that supports multiple
> > spanning trees. Ideally, I would like to support multiple 
> instances of
> > the bridge mib. One way of doing this would be to define each bridge
> > as a Logical entity and use the community string to access the
> > different nameing scopes. Fine, but how does an NMS
> > (like openview) know about the different community strings,
> 
> I don't think the platform (like hpov) will help you at all.  
> If you are also developing a nm application (running on top 
> of the platform), 
> then your appl can have the necessary intelligence to form the right
> community string for each snmp request.
> 
> Kevin
> > potentially (16 bridges * 2) + (2 system) = 34 strings ? Is 
> there some
> > other way ?
> > Thanks,
> > John.
> > _________________________________________________________
> > DO YOU YAHOO!?
> > Get your free @yahoo.com address at http://mail.yahoo.com
> 
> -- 
> =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
>  Kevin R. Lingle       919.472.2029
> =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
>